Subject: Re: *.COM file execution
From: [email-masked] (Geoffrey Noer)

9 Sep 1998 18:17:40 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Paul E. Raines" <[email-masked]>
Cc: [email-masked]

On Wed, Sep 02, 1998 at 10:45:11AM -0700, Paul E. Raines wrote:
>
> I just installed B19.1 and after playing around for a few minutes
> found that bash would not execute *.com files (e.g. more.com).
> Actually, if you try to execute them, bash treats them as scripts
> and reports a syntax error.  Is this a known limitation?  I have
> searched the FAQ and mail archives to no avail. 

The necessary support in Cygwin32 is fixed in the development sources
/ next major release:

        * spawn.cc (perhaps_suffix): If report_failure_p is non-zero
          this function will search for (PROG is the pathname to the
          executable file)  PROG.exe, PROG, PROG.com, PROG.bat, and
          PROG.cmd and return either the full path name if found or
          NULL if not.
        (spawn_guts): If the file name of the executable end in either
        .exe, .com, .bat, or .cmd we assume that it is not a script file
        and therefore do not open the file to determine if it is.

I'm not sure whether bash will need modification to deal with them or
not.  (Probably not?)

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".